## python-jenkins 0.2.1

=== Makefile ===
test:
	python -m unittest discover

## python-jenkins 0.2

=== debian/changelog ===
python-jenkins (0.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Aug 2011 17:43:01 +0100

python-jenkins (0.1-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- James Page <james.page@ubuntu.com>  Thu, 30 Jun 2011 16:41:07 +0100

=== debian/control ===
Source: python-jenkins
Section: python
Priority: optional
Maintainer: James Page <james.page@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python-dev (>= 2.6.6-3)
Standards-Version: 3.9.2
Homepage: http://launchpad.net/python-jenkins
X-Python-Version: >= 2.6

Package: python-jenkins
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for the Jenkins Remote API
 This package provides Python bindings for the Jenkins Remote 
 API. It current supports management of:
 .
  * Project configuration
  * Build control
  * Slave node configuration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

=== debian/watch ===
version=3
https://launchpad.net/python-jenkins/+download/ \
http://launchpad.net/python-jenkins/.*/.*/\+download/python-jenkins-(.*).tar.gz

## python-jenkins 0.2.1

=== debian/changelog ===
python-jenkins (0.2.1-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/rules: Force use of python distutils for build system.

 -- James Page <james.page@ubuntu.com>  Thu, 29 Aug 2013 13:47:14 +0100

python-jenkins (0.2-2) unstable; urgency=low

  * debian/control:
    - We are an architecture-independent package so set Architecture: all
    - Drop XSBC-Original-Maintainer field
    - Add James Page to Maintainer and Paul Belange to Uploaders
  * debian/copyright:
    - Add missing BSD-3-Clause License text
  * debian/rules:
    - Update get-orig-source making it debian-policy (4.9) compliant
  * debian/source.lintian-overrides:
    - Removed

 -- Paul Belanger <paul.belanger@polybeacon.com>  Sat, 17 Nov 2012 13:57:41 -0500

python-jenkins (0.2-1) unstable; urgency=low

  * Initial release (Closes: #693268)

 -- Paul Belanger <paul.belanger@polybeacon.com>  Wed, 14 Nov 2012 17:39:03 -0500

python-jenkins (0.2-0ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:10:45 +0000

=== debian/control ===
Source: python-jenkins
Section: python
Priority: optional
Maintainer: James Page <james.page@ubuntu.com>
Uploaders: Paul Belanger <paul.belanger@polybeacon.com>
Build-Depends: debhelper (>= 9),
 python-all (>= 2.6.6-3)
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/python-jenkins
Vcs-Git: git://github.com/pabelanger/python-jenkins.git
Vcs-Browser: https://github.com/pabelanger/python-jenkins.git

Package: python-jenkins
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for the Jenkins Remote API
 This package provides Python bindings for the Jenkins Remote 
 API. It current supports management of:
 .
  * Project configuration
  * Build control
  * Slave node configuration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem python_distutils

get-orig-source:
	uscan --noconf --force-download --rename --repack --destdir=.

=== debian/watch ===
version=3
https://launchpad.net/python-jenkins/+download \
https://launchpad.net/python-jenkins/.*/python-jenkins-(.*).tar.gz

## python-jenkins 0.4.11

=== requirements.txt ===
six>=1.3.0
pbr>=0.8.2,<2.0
multi_key_dict

=== debian/changelog ===
python-jenkins (0.4.11-1) unstable; urgency=medium

  * New upstream release (Closes: #806719).
  * Added new (build-)depends: python{3,}-multi-key-dict.
  * Added python-testscenarios as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Dec 2015 08:49:17 +0000

python-jenkins (0.4.8-2) unstable; urgency=medium

  [ Fathi Boudra ]
  * Added myself as Uploader.

  [ Thomas Goirand ]
  * Added missiong python{3,}-setuptools build-depends (Closes: #802714).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 07:37:07 +0000

python-jenkins (0.4.8-0.1) unstable; urgency=medium

  * Putting the package under the OpenStack PKG team, with agreement from Paul:
    - New VCS URLs.
    - Team as maintainer.
    - James, Paul and myself as uploaders.
    - Using git tag based packaging (fixed gbp.conf).
  * New upstream release.
  * Removed usless version from python-all build-depends.
  * Removed now useless X-Python-Version: >= 2.6.
  * Standards-Version is now 3.9.6.
  * Added python-pbr and dh-python as build-depends.
  * Fixed debian/copyright.
  * Added Python3 support.
  * Now running unit tests at build time.
  * Fixed debian/copyright as directed by the FTP masters.
  * debian/watch file now using github tag to avoid PyPi broken one.
  * Now generating the docs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Aug 2015 14:50:54 +0200

python-jenkins (0.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Merge changes from Ubuntu: force use of python distutils for build system
  * Add add-fixes-for-crumb-addition-to-post-requests.patch - stolen upstream

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 May 2014 17:51:22 +0300

=== debian/control ===
Source: python-jenkins
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
           Paul Belanger <paul.belanger@polybeacon.com>,
           Thomas Goirand <zigo@debian.org>,
           Fathi Boudra <fabo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-mock,
                     python-multi-key-dict,
                     python-testscenarios,
                     python-unittest2,
                     python3-mock,
                     python3-multi-key-dict,
                     python3-subunit,
                     python3-testscenarios,
                     python3-unittest2,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jenkins.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-jenkins.git
Homepage: http://launchpad.net/python-jenkins

Package: python-jenkins
Architecture: all
Depends: python-multi-key-dict,
         python-pbr (>= 0.8.2),
         python-six,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: bindings for the Jenkins Remote API - Python 2.7
 This package provides Python bindings for the Jenkins Remote
 API. It current supports management of:
 .
  * Project configuration
  * Build control
  * Slave node configuration
 .
 This package contains the Python 2.7 module.

Package: python3-jenkins
Architecture: all
Depends: python3-multi-key-dict,
         python3-pbr (>= 0.8.2),
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: bindings for the Jenkins Remote API - Python 3.x
 This package provides Python bindings for the Jenkins Remote
 API. It current supports management of:
 .
  * Project configuration
  * Build control
  * Slave node configuration
 .
 This package contains the Python 3.x module.

Package: python-jenkins-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
Description: bindings for the Jenkins Remote API - doc
 This package provides Python bindings for the Jenkins Remote
 API. It current supports management of:
 .
  * Project configuration
  * Build control
  * Slave node configuration
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/python-jenkins.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-jenkins; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-jenkins; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-jenkins-doc/usr/share/doc/python-jenkins-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-jenkins 0.4.14

=== debian/changelog ===
python-jenkins (0.4.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New VCS URLs.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Aug 2017 20:55:52 +0000

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-mock,
+Build-Depends-Indep: python-kerberos,
+                     python-mock,
                      python-multi-key-dict,
                      python-testscenarios,
                      python-unittest2,
+                     python3-kerberos,
                      python3-mock,
                      python3-multi-key-dict,
                      python3-subunit,
@@ -28,9 +30,9 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jenkins.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-jenkins.git
-Homepage: http://launchpad.net/python-jenkins
+Vcs-Browser: https://anonscm.debian.org/cgit/users/zigo/python-jenkins.git/
+Vcs-Git: https://anonscm.debian.org/git/users/zigo/python-jenkins.git
+Homepage: https://launchpad.net/python-jenkins
 
 Package: python-jenkins
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/python-jenkins.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

## python-jenkins 0.4.16

=== requirements.txt ===
six>=1.3.0
pbr>=0.8.2
multi_key_dict

=== debian/changelog ===
python-jenkins (0.4.16-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Remove Fathi Boudra <fabo@debian.org> from uploaders.  Closes: #879425
  * Mark pthon-jenkins-doc as Multi-Arch:foreign.
  * Bump Standards-Version to 4.1.4, no changes needed.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/copyright: Use https protocol in Format field
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Remove useless overrides.
  * Switch to debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Jan 2021 21:40:41 +0100

python-jenkins (0.4.16-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:08:14 +0100

python-jenkins (0.4.16-1) unstable; urgency=medium

  * Ran wrap-and-sort -bast.
  * Point VCS to Salsa.
  * New upstream release.
  * Kill Python 2 support.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Apr 2018 14:08:10 +0000

=== debian/control ===
Source: python-jenkins
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Paul Belanger <paul.belanger@polybeacon.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 75~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-kerberos,
 python3-mock,
 python3-multi-key-dict,
 python3-subunit,
 python3-testscenarios,
 python3-unittest2,
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-jenkins
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-jenkins.git
Homepage: https://launchpad.net/python-jenkins

Package: python-jenkins-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Description: bindings for the Jenkins Remote API - doc
 This package provides Python bindings for the Jenkins Remote
 API. It current supports management of:
 .
  * Project configuration
  * Build control
  * Slave node configuration
 .
 This package contains the documentation.

Package: python3-jenkins
Architecture: all
Depends:
 python3-multi-key-dict,
 python3-pbr (>= 0.8.2),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: bindings for the Jenkins Remote API - Python 3.x
 This package provides Python bindings for the Jenkins Remote
 API. It current supports management of:
 .
  * Project configuration
  * Build control
  * Slave node configuration
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-jenkins-doc/usr/share/doc/python-jenkins-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/python-jenkins/tags .*/(\d[\d\.]+)\.tar\.gz

## python-jenkins 1.4.0

=== requirements.txt ===
six>=1.3.0
pbr>=0.8.2
multi_key_dict
requests

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonJenkins.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonJenkins.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonJenkins"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonJenkins"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
		"(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-jenkins (1.4.0-7) unstable; urgency=medium

  [ dann frazier ]
  * d/p/support-urllib3-newer-DEFAULT_TIMEOUT.patch: Cherry-pick
    upstream patch to provide a default timeout when using newer
    urrlib3.
    - This allows test_jenkins_open_no_timeout to pass, so
      un-blacklist it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Nov 2024 12:06:38 +0100

python-jenkins (1.4.0-6) unstable; urgency=medium

  * d/watch: use opendev rather than github.
  * Removed python3-unittest2 from build-depends (Closes: #1072060).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 13:05:35 +0200

python-jenkins (1.4.0-5) unstable; urgency=medium

  * Added missing (build-)depends on python3-six (Closes: #1078367).
  * Blacklist test_jenkins_open_no_timeout (Closes: #1077530).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 08:43:57 +0200

python-jenkins (1.4.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1045914).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 11:49:29 +0200

python-jenkins (1.4.0-3) unstable; urgency=medium

  * Add allow-pkg_resources.parse_version-to-fail.patch (Closes: #1030412).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Feb 2023 10:20:37 +0100

python-jenkins (1.4.0-2) unstable; urgency=medium

  * Fix upsteram URLs (Closes: #998851).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 19:19:42 +0100

python-jenkins (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist test_get_view_jobs_raise_HTTPError() which is an obvious false
    positive error.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Aug 2021 16:51:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 75~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -17,16 +17,19 @@
 Build-Depends-Indep:
  python3-kerberos,
  python3-mock,
+ python3-requests-kerberos,
+ python3-requests-mock,
  python3-multi-key-dict,
  python3-subunit,
  python3-testscenarios,
- python3-unittest2,
+ python3-requests,
+ python3-six,
+ python3-stestr,
  subunit,
- testrepository,
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-jenkins
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-jenkins.git
-Homepage: https://launchpad.net/python-jenkins
+Homepage: https://opendev.org/jjb/python-jenkins
 
 Package: python-jenkins-doc
 Architecture: all
@@ -49,6 +52,7 @@
 Package: python3-jenkins
 Architecture: all
 Depends:
+ python3-requests,
  python3-multi-key-dict,
  python3-pbr (>= 0.8.2),
  python3-six,

## python-jenkins 1.8.2

=== debian/changelog ===
python-jenkins (1.8.2-2) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:34:53 +0100

python-jenkins (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches now irrelevant.
  * Switch to pybuild.
  * Add python3-multiprocess to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 09:08:48 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-requests-kerberos,
  python3-requests-mock,
  python3-multi-key-dict,
+ python3-multiprocess,
  python3-subunit,
  python3-testscenarios,
  python3-requests,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/jjb/python-jenkins
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build .testrepository
	find . -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'tests\.(?!.*jobs\.test_get\.JenkinsGetJobsTest\.test_get_view_jobs_raise_HTTPError.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-jenkins-doc/usr/share/doc/python-jenkins-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://opendev.org/jjb/python-jenkins/tags .*/(\d[\d\.]+)\.tar\.gz
